Ansible job definitions for Zuul
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

test-requirements.txt 988B

1234567891011121314151617181920212223242526
  1. # The order of packages is significant, because pip processes them in the order
  2. # of appearance. Changing the order has an impact on the overall integration
  3. # process, which may cause wedges in the gate later.
  4. flake8
  5. zuul
  6. # We need to pin the ansible version directly here; per the
  7. # deprecation policy it should trail the version used by Zuul by 4
  8. # weeks to give people time to update before these roles start
  9. # depending on new features. Also note we can't just include zuul
  10. # here to pull in ansible anyway; pip doesn't actually have a
  11. # dependency solver and the uncapped ansible requirement from
  12. # ansible-lint pull in the latest version.
  13. ansible>=2.5.1,<2.6 # https://review.openstack.org/567007
  14. # We need to pin ansible-lint to before 4.0 which blows up all over the place
  15. ansible-lint<4
  16. bashate>=0.2
  17. zuul-sphinx>=0.1.1
  18. stestr>=1.0.0 # Apache-2.0
  19. # For upload-logs-swift:
  20. openstacksdk>=0.17.1
  21. requests
  22. requestsexceptions
  23. bs4
  24. sphinxcontrib-blockdiag>=1.1.0
  25. sphinxcontrib-seqdiag